class Dictionary:
    backing: "list" = [None] * 100

    def hash(self, key: str):
        ord_total = 0;
        for letter in key:
            ord_total += ord(letter)
        return ord_total % len(self.backing)

    def get(self, key: str):
        index = self.hash(key)
        return self.backing[index]

    def set(self, key: str, value):
        index = self.hash(key)
        self.backing[index] = value

sample_dict = Dictionary()
sample_dict.set("test string", "test value")
sample_dict.set("tets string", "this value will overwrite the other one")
print(sample_dict.get("test string"))

print(sample_dict.backing)
